Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib
Class UIComponentBodyTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.shared_orchestra.taglib.UIComponentBodyTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlComponentBodyTagBase

    public abstract class UIComponentBodyTagBase

extends javax.faces.webapp.UIComponentBodyTag

Version:
  $Revision: 472630 $ $Date: 2006-11-08 21:40:03 +0100 (Mi, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UIComponentBodyTagBase()`

Method Summary
`int` | `doEndTag()`
`protected void` | `setActionListenerProperty(javax.faces.component.UIComponent component, java.lang.String actionListener)`
`protected void` | `setActionProperty(javax.faces.component.UIComponent component, java.lang.String action)`
`protected void` | `setBooleanProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`void` | `setConverter(java.lang.String converter)`
`void` | `setForceId(java.lang.String aForceId)` Sets the forceId attribute of the tag.
`void` | `setForceIdIndex(java.lang.String aForceIdIndex)` Sets the forceIdIndex attribute of the tag.
`protected void` | `setIntegerProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`protected void` | `setStringProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setValidatorProperty(javax.faces.component.UIComponent component, java.lang.String value)`
`void` | `setValue(java.lang.String value)`
`protected void` | `setValueBinding(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setValueChangedListenerProperty(javax.faces.component.UIComponent component, java.lang.String valueChangedListener)`
`protected void` | `setValueProperty(javax.faces.component.UIComponent component, java.lang.String value)`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### UIComponentBodyTagBase

    public UIComponentBodyTagBase()

Method Detail

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.faces.webapp.UIComponentTag`
  Throws:
    `javax.servlet.jsp.JspException`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentTag`

### setForceId

    public void setForceId(java.lang.String aForceId)

  Sets the forceId attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aForceId` - The value of the forceId attribute.

### setForceIdIndex

    public void setForceIdIndex(java.lang.String aForceIdIndex)

  Sets the forceIdIndex attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aForceIdIndex` - The value of the forceIdIndex attribute.

### setValue

    public void setValue(java.lang.String value)

### setConverter

    public void setConverter(java.lang.String converter)

### setIntegerProperty

    protected void setIntegerProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      java.lang.String value)

### setStringProperty

    protected void setStringProperty(javax.faces.component.UIComponent component,
                                     java.lang.String propName,
                                     java.lang.String value)

### setBooleanProperty

    protected void setBooleanProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      java.lang.String value)

### setValueProperty

    protected void setValueProperty(javax.faces.component.UIComponent component,
                                    java.lang.String value)

### setValidatorProperty

    protected void setValidatorProperty(javax.faces.component.UIComponent component,
                                        java.lang.String value)

### setActionProperty

    protected void setActionProperty(javax.faces.component.UIComponent component,
                                     java.lang.String action)

### setActionListenerProperty

    protected void setActionListenerProperty(javax.faces.component.UIComponent component,
                                             java.lang.String actionListener)

### setValueChangedListenerProperty

    protected void setValueChangedListenerProperty(javax.faces.component.UIComponent component,
                                                   java.lang.String valueChangedListener)

### setValueBinding

    protected void setValueBinding(javax.faces.component.UIComponent component,
                                   java.lang.String propName,
                                   java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.